org.richfaces.application

## Interface MessageFactory

- All Known Implementing Classes:
    MessageFactoryImpl

      public interface MessageFactory

  Author:
    Nick Belaevski

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.application.FacesMessage` | `createMessage(javax.faces.context.FacesContext facesContext, Enum<?> messageKey, Object... args)`
    `javax.faces.application.FacesMessage` | `createMessage(javax.faces.context.FacesContext facesContext, javax.faces.application.FacesMessage.Severity severity, Enum<?> messageKey, Object... args)`
    `String` | `getMessageFormat(javax.faces.context.FacesContext facesContext, Enum<?> messageKey)`
    `String` | `getMessageText(javax.faces.context.FacesContext facesContext, Enum<?> messageKey, Object... args)`

- - ### Method Detail

    - #### createMessage

          javax.faces.application.FacesMessage createMessage(javax.faces.context.FacesContext facesContext,
                                                             Enum<?> messageKey,
                                                             Object... args)

    - #### createMessage

          javax.faces.application.FacesMessage createMessage(javax.faces.context.FacesContext facesContext,
                                                             javax.faces.application.FacesMessage.Severity severity,
                                                             Enum<?> messageKey,
                                                             Object... args)

    - #### getMessageText

          String getMessageText(javax.faces.context.FacesContext facesContext,
                                Enum<?> messageKey,
                                Object... args)

    - #### getMessageFormat

          String getMessageFormat(javax.faces.context.FacesContext facesContext,
                                  Enum<?> messageKey)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.